clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::NormalizedSymbolOrigin Struct Reference
Collaboration diagram for llvm::yaml::NormalizedSymbolOrigin:
[legend]

## Public Member Functions
| NormalizedSymbolOrigin (IO &)
| NormalizedSymbolOrigin (IO &, SymbolOrigin O)
SymbolOrigin | denormalize (IO &)

## Public Attributes
uint8_t | Origin = 0

## Detailed Description

Definition at line 96 of file YAMLSerialization.cpp.

## Constructor & Destructor Documentation

## ◆ NormalizedSymbolOrigin() [1/2]

llvm::yaml::NormalizedSymbolOrigin::NormalizedSymbolOrigin | ( | IO & |  | ) |
| inline

Definition at line 97 of file YAMLSerialization.cpp.

## ◆ NormalizedSymbolOrigin() [2/2]

llvm::yaml::NormalizedSymbolOrigin::NormalizedSymbolOrigin | ( | IO & | ,
|  | SymbolOrigin | O
| ) |  |
| inline

Definition at line 98 of file YAMLSerialization.cpp.

## Member Function Documentation

## ◆ denormalize()

SymbolOrigin llvm::yaml::NormalizedSymbolOrigin::denormalize | ( | IO & |  | ) |
| inline

Definition at line 102 of file YAMLSerialization.cpp.

## Member Data Documentation

## ◆ Origin

uint8_t llvm::yaml::NormalizedSymbolOrigin::Origin = 0

Definition at line 104 of file YAMLSerialization.cpp.

The documentation for this struct was generated from the following file:

- YAMLSerialization.cpp